Remove the left-over status code at the end of dm-mpath.c.
[Kevin Corry]
--- diff/drivers/md/dm-mpath.c	2004-01-16 16:39:51.000000000 +0000
+++ source/drivers/md/dm-mpath.c	2004-01-16 16:40:21.000000000 +0000
@@ -925,62 +925,3 @@
 MODULE_AUTHOR("Sistina software <dm@uk.sistina.com>");
 MODULE_LICENSE("GPL");
 
-#ifdef STATUS_FOO
-
-	int sz = 0;
-	struct multipath *m = (struct multipath *) ti->private;
-	struct path *path;
-	ps_status_fn ps_status = m->ps.type->status;
-
-	switch (type) {
-	case STATUSTYPE_INFO:
-		list_for_each_entry (path, &m->paths, list) {
-			sz += snprintf(result + sz, maxlen - sz, "%s ",
-				       dm_kdevname(to_kdev_t(path->dev->dev)));
-			if (is_failed(path)) {
-				struct timespec fail;
-
-				jiffies_to_timespec(jiffies - path->fail_time, &fail);
-				sz += snprintf(result + sz, maxlen - sz, "I(%lu/" ARG_FORMAT ")",
-					       (unsigned long) fail.tv_sec, path->reactivation_interval);
-			} else {
-				sz += snprintf(result + sz, maxlen - sz, "O");
-
-				if (atomic_read(&path->fail_total))
-					sz += snprintf(result + sz, maxlen - sz, "[" ARG_FORMAT "]",
-						       atomic_read(&path->fail_total));
-
-				sz += snprintf(result + sz, maxlen - sz, " ");
-			}
-
-			if (ps_status) {
-				ps_status(path->ps_private, type,
-					  result + sz, maxlen - sz);
-				sz += strlen(result);
-			}
-		}
-		break;
-
-	case STATUSTYPE_TABLE:
-		list_for_each_entry (path, &m->paths, list) {
-			sz += snprintf(result + sz, maxlen - sz,
-				       "%s " ARG_FORMAT ARG_FORMAT " ",
-				       dm_kdevname(to_kdev_t(path->dev->dev)),
-				       path->reactivation_interval,
-				       path->fail_limit);
-
-			if (ps_status) {
-				ps_status(path->ps_private, type,
-					  result + sz, maxlen - sz);
-				sz += strlen(result);
-			}
-
-			if (sz >= maxlen)
-				break;
-		}
-		break;
-
-	}
-
-	return 0;
-#endif
